Bug 70010 - Antialiasing gets unset when KDE session terminates
Antialiasing gets unset when KDE session terminates
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-28 16:30 EDT by Tomas Jablonski
Modified: 2006-08-04 16:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jablonski 2002-07-28 16:30:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.4.1) Gecko/20020508
Netscape6/6.2.3

Description of problem:
Antialiasing can be enabled in KDE Control Center>Look & Feel>Fonts, but as soon
as the session is finished, it gets disabled. The same happens when using
qtconfig. Setting QT_XTF=1 environment variable which used to work in 7.2 no
longer helps.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make sure that you have some TT fonts present and defined in
/etc/X11/XftConfig. You might want to allow anti-aliasing of small fonts, it
works fine on my systems.
2. Go to KDE Control Center>Look&Feel>Fonts. Check the 'Use Anti-Aliasing for
fonts' box. Click Apply, confirm, and close the window
3. Run, for example, Konqueror, ad see that the fonts are smooth
4. Close all windows and the KDE session. Log in again and Repeat action no 2.

Actual Results:  Anti-aliasing is now turned off. Confirm by running the Konqueror.

Expected Results:  Anti-aliasing should have stayed turned on.

Additional info:

Solution:
The main configuration file is /usr/lib/qt3-gcc2.96/etc/settings/qtrc. When the
anti-aliasing is enabled, the item useXft is set to 'true'. As soon as the KDE
session terminates, this item is reset to 'false'. The solution is to add a file
~/.qt/qtrc, and put the following lines in it:
[General]
useXft=true
Comment 1 Ngo Than 2002-08-13 15:21:51 EDT
it's fixed in kdebase-3.0.3-1 or newer
Comment 2 Bill Nottingham 2006-08-04 16:12:10 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.